#ifndef GLWIDGET_H
#define GLWIDGET_H

class QOpenGLShaderProgram;
class QOpenGLBuffer;
class QTimerEvent;

#include <QMatrix4x4>
#include <QOpenGLWidget>

class GLWidget : public QOpenGLWidget {
public:
    explicit GLWidget(QWidget *parent = 0);
    ~GLWidget();

private:
    QOpenGLShaderProgram * m_program;
    QOpenGLBuffer * m_vertexVBO;
    QOpenGLBuffer * m_colorVBO;
    GLuint m_posAttr;
    GLuint m_colAttr;
    GLuint m_matrixUniform;

    void initializeGL();
    void resizeGL(int w, int h);
    void paintGL();
};

#endif // GLWIDGET_H
